package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * WfProjectCwWtg对象 wf_project_cw_wtg
 *
 * @author hlf
 * @date 2021-08-04
 */
public class WfProjectCwWtg extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long projectNo;

    private Long collectorwireNo;

    private Long wtgNo;

    private String wtgIssue;

    private String windplantName;

    private String projectName;

    private String collectorwireName;

    private String wtgName;

    private Long wtgType;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setProjectNo(Long projectNo) {
        this.projectNo = projectNo;
    }

    public Long getProjectNo() {
        return projectNo;
    }

    public void setCollectorwireNo(Long collectorwireNo) {
        this.collectorwireNo = collectorwireNo;
    }

    public Long getCollectorwireNo() {
        return collectorwireNo;
    }

    public void setWtgNo(Long wtgNo) {
        this.wtgNo = wtgNo;
    }

    public Long getWtgNo() {
        return wtgNo;
    }

    private Long mag;

    public Long getMag() {
        return mag;
    }

    public void setMag(Long mag) {
        this.mag = mag;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getCollectorwireName() {
        return collectorwireName;
    }

    public void setCollectorwireName(String collectorwireName) {
        this.collectorwireName = collectorwireName;
    }

    public String getWtgName() {
        return wtgName;
    }

    public void setWtgName(String wtgName) {
        this.wtgName = wtgName;
    }

    public String getWtgIssue() {
        return wtgIssue;
    }

    public void setWtgIssue(String wtgIssue) {
        this.wtgIssue = wtgIssue;
    }

    public Long getWtgType() {
        return wtgType;
    }

    public void setWtgType(Long wtgType) {
        this.wtgType = wtgType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("projectNo", getProjectNo())
                .append("collectorwireNo", getCollectorwireNo())
                .append("wtgNo", getWtgNo())
                .toString();
    }
}
